package com.ss.android.ugc.aweme.global.config.settings.pojo;

import X.4Ek;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.ArrayList;
import java.util.List;

public class ActivityStruct {
    @c(LIZ = "activity_name")
    public String activityName;
    @c(LIZ = "activity_sticker_id_array")
    public List<String> activityStickerIdArray = new ArrayList();
    @c(LIZ = "comment_icon")
    public UrlModel commentIcon;
    @c(LIZ = "digg_icon")
    public UrlModel diggIcon;
    @c(LIZ = "hash_tags")
    public List<String> hashTags = new ArrayList();
    @c(LIZ = "in_activity")
    public Boolean inActivity;
    @c(LIZ = "share_icon")
    public UrlModel shareIcon;
    @c(LIZ = "share_tip_icon")
    public UrlModel shareTipIcon;
    @c(LIZ = "shot_icon")
    public UrlModel shotIcon;
    @c(LIZ = "undigg_icon")
    public UrlModel undiggIcon;
    @c(LIZ = "watermark_struct")
    public WatermarkStruct watermarkStruct;

    static {
        Covode.recordClassIndex(82823);
    }

    public List<String> getActivityStickerIdArray() {
        return this.activityStickerIdArray;
    }

    public List<String> getHashTags() {
        return this.hashTags;
    }

    public String getActivityName() {
        String str = this.activityName;
        if (str != null) {
            return str;
        }
        throw new 4Ek();
    }

    public UrlModel getCommentIcon() {
        UrlModel urlModel = this.commentIcon;
        if (urlModel != null) {
            return urlModel;
        }
        throw new 4Ek();
    }

    public UrlModel getDiggIcon() {
        UrlModel urlModel = this.diggIcon;
        if (urlModel != null) {
            return urlModel;
        }
        throw new 4Ek();
    }

    public Boolean getInActivity() {
        Boolean bool = this.inActivity;
        if (bool != null) {
            return bool;
        }
        throw new 4Ek();
    }

    public UrlModel getShareIcon() {
        UrlModel urlModel = this.shareIcon;
        if (urlModel != null) {
            return urlModel;
        }
        throw new 4Ek();
    }

    public UrlModel getShareTipIcon() {
        UrlModel urlModel = this.shareTipIcon;
        if (urlModel != null) {
            return urlModel;
        }
        throw new 4Ek();
    }

    public UrlModel getShotIcon() {
        UrlModel urlModel = this.shotIcon;
        if (urlModel != null) {
            return urlModel;
        }
        throw new 4Ek();
    }

    public UrlModel getUndiggIcon() {
        UrlModel urlModel = this.undiggIcon;
        if (urlModel != null) {
            return urlModel;
        }
        throw new 4Ek();
    }

    public WatermarkStruct getWatermarkStruct() {
        WatermarkStruct watermarkStruct2 = this.watermarkStruct;
        if (watermarkStruct2 != null) {
            return watermarkStruct2;
        }
        throw new 4Ek();
    }
}
